## ros-humble-dataspeed-ulc-can 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(dataspeed_ulc_can)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(dataspeed_dbw_common REQUIRED)
find_package(std_msgs REQUIRED)
find_package(can_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(dataspeed_ulc_msgs REQUIRED)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
  message(STATUS "Enabling coverage testing")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
endif()

add_library(${PROJECT_NAME} SHARED
  "src/UlcNode.cpp"
)

ament_target_dependencies(${PROJECT_NAME}
  "rclcpp_components"
  "rclcpp"
  "dataspeed_dbw_common"
  "std_msgs"
  "can_msgs"
  "geometry_msgs"
  "dataspeed_ulc_msgs"
)

target_include_directories(
  ${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)

install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
)

rclcpp_components_register_node(${PROJECT_NAME}
  PLUGIN "${PROJECT_NAME}::UlcNode"
  EXECUTABLE ulc_node
)

ament_export_include_directories(include)
install(DIRECTORY include/
  DESTINATION include
)

install(DIRECTORY scripts
  DESTINATION lib/${PROJECT_NAME}
  USE_SOURCE_PERMISSIONS
)

find_package(ament_cmake_python REQUIRED)

ament_python_install_package(${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ros_testing REQUIRED)

  ament_add_gtest_executable(ulc_test_node
    tests/test_ulc.cpp
  )
  ament_target_dependencies(ulc_test_node
    "rclcpp"
    "std_msgs"
    "can_msgs"
    "geometry_msgs"
    "dataspeed_ulc_msgs"
  )
  target_include_directories(ulc_test_node PUBLIC
    "include"
    "src"
  )
  target_link_libraries(ulc_test_node
    ${PROJECT_NAME}
  )
  add_ros_test(tests/ulc_test_launch.py TIMEOUT 120 ARGS "test_binary_dir:=${CMAKE_CURRENT_BINARY_DIR}")

endif()

ament_package()

=== debian/changelog ===
ros-humble-dataspeed-ulc-can (2.1.1-1jammy) jammy; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 24 Jan 2023 05:00:00 -0000

ros-humble-dataspeed-ulc-can (2.1.0-1jammy) jammy; urgency=high

  * Reconfigure CAN and ROS messages for new ULC capability
  * Sync ament_cmake and ament_cmake_ros in each CMakeLists.txt/package.xml
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 30 Nov 2022 05:00:00 -0000

ros-humble-dataspeed-ulc-can (2.0.3-1jammy) jammy; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Fri, 14 Oct 2022 04:00:00 -0000

ros-humble-dataspeed-ulc-can (2.0.2-1jammy) jammy; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Fri, 13 May 2022 04:00:00 -0000

ros-humble-dataspeed-ulc-can (2.0.1-1jammy) jammy; urgency=high

  * Change parameters to work in Foxy and Galactic
  * Export include directories from DBW CAN interface packages
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 23 Feb 2022 05:00:00 -0000

ros-humble-dataspeed-ulc-can (2.0.0-1jammy) jammy; urgency=high

  * Initial ROS2 release
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 03 Nov 2021 04:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-dataspeed-ulc-can//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-dataspeed-ulc-can 2.1.16

=== debian/changelog ===
ros-humble-dataspeed-ulc-can (2.1.16-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Sun, 16 Jun 2024 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.1.15-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 06 Jun 2024 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.1.14-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 28 May 2024 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.1.13-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Sun, 12 May 2024 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.1.12-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Sun, 31 Mar 2024 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.1.11-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 04 Mar 2024 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.1.10-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 26 Feb 2024 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.1.9-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 22 Feb 2024 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.1.8-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 19 Feb 2024 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.1.7-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.1.6-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 15 Jan 2024 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.1.5-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 02 Jan 2024 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.1.4-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 12 Dec 2023 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.1.3-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Sun, 10 Sep 2023 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.1.2-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 09 May 2023 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.1.1-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 23 Jan 2023 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.1.0-1bookworm) bookworm; urgency=high

  * Reconfigure CAN and ROS messages for new ULC capability
  * Sync ament_cmake and ament_cmake_ros in each CMakeLists.txt/package.xml
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 29 Nov 2022 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.0.3-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 13 Oct 2022 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.0.2-1bookworm) bookworm; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 12 May 2022 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.0.1-1bookworm) bookworm; urgency=high

  * Change parameters to work in Foxy and Galactic
  * Export include directories from DBW CAN interface packages
  * Contributors: Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 22 Feb 2022 16:00:00 -0000

ros-humble-dataspeed-ulc-can (2.0.0-1bookworm) bookworm; urgency=high

  * Initial ROS2 release
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 02 Nov 2021 16:00:00 -0000

=== debian/control ===
Source: ros-humble-dataspeed-ulc-can
Section: misc
Priority: optional
Maintainer: Micho Radovnikovich <mradovnikovich@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-can-msgs, ros-humble-dataspeed-dbw-common, ros-humble-dataspeed-ulc-msgs, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-rclpy, ros-humble-ros-testing <!nocheck>, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-humble-dataspeed-ulc-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-can-msgs, ros-humble-dataspeed-dbw-common, ros-humble-dataspeed-ulc-msgs, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-rclpy, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Package to translate ROS messages to and from CAN messages to interact with the Universal Lat/Lon Controller (ULC) firmware

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-dataspeed-ulc-can//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-dataspeed-ulc-can//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-dataspeed-ulc-can//opt/ros/humble/opt/dataspeed_ulc_can/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
